From fd3132d5815bf72aeec7d5ad87161b4831f8e48c Mon Sep 17 00:00:00 2001
From: Steven Rostedt <srostedt@redhat.com>
Date: Thu, 30 Apr 2009 12:19:56 -0400
Subject: [PATCH] kconfig: add check if end exists in extract-ikconfig

Both start and end should be tested for existence before continuing
to parse the config.gz file.

Signed-off-by: Steven Rostedt <rostedt@goodmis.org>
---
 scripts/extract-ikconfig | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/scripts/extract-ikconfig b/scripts/extract-ikconfig
index 72997c353cb3..42d6bcefb400 100755
--- a/scripts/extract-ikconfig
+++ b/scripts/extract-ikconfig
@@ -17,6 +17,10 @@ dump_config() {
 	return
     fi
     end=`$binoffset $file $IKCFG_ED 2>/dev/null`
+    [ "$?" != "0" ] && end="-1"
+    if [ "$end" -eq "-1" ]; then
+	return
+    fi
 
     start=`expr $start + 8`
     size=`expr $end - $start`
-- 
GitLab